Gocator API

- Home
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Modules Pages
Public Member Functions
GoSystem Class Reference
GoSdk

## Description

Represents a system of Gocator devices.

During construction, a GoSystem object uses Gocator Discovery Protocol to locate devices (if the autodiscovery capability is selected). Subsequently, the list of detected devices can be accessed using GoSystem_SensorCount and GoSystem_SensorAt.

Immediately after construction, all sensor objects are in the online state. This state indicates that a sensor has been detected, but that the client has not yet established a control connection to the sensor. The only sensor functions than can be used in this state are GoSensor_State, GoSensor_Address, and GoSensor_SetAddress.

Because Gocator Discovery Protocol works across subnets, but Gocator Control Protocol does not, it is possible for a sensor to be successfully detected but for subsequent connection attempts to fail. In this case, the GoSensor_SetAddress function can be used to reconfigure the sensor to operate on the same subnet as the client.

If the client and device are configured to operate on the same subnet, the GoSystem_Connect or GoSensor_Connect functions can be used to establish control connections.

See also
  GoSystem_Construct, GoSystem_Connect, GoSensor_State, GoSensor_Address, GoSensor_SetAddress.

Inheritance diagram for GoSystem:

## Public Member Functions
kStatus | GoSystem_AddSensor (GoSystem system, const GoAddressInfo *addressInfo, const GoPortInfo *portInfo, GoSensor *sensor)
| Adds a sensor by passing a custom address and port info, this doesnt require discovery. More...
kStatus | GoSystem_Cancel (GoSystem system)
| Aborts ongoing sensor communication. More...
kStatus | GoSystem_ClearData (GoSystem system)
| Clears any buffered data messages. More...
kStatus | GoSystem_ClearHealth (GoSystem system)
| Clears any buffered health messages. More...
kStatus | GoSystem_Connect (GoSystem system)
| Establishes control connections to all sensors. More...
kStatus | GoSystem_Construct (GoSystem *system, kAlloc allocator)
| Constructs a GoSystem object. More...
kStatus | GoSystem_ConstructEx (GoSystem *system, kAlloc allocator)
| Constructs a GoSystem object. More...
kSize | GoSystem_DataCapacity (GoSystem system)
| Reports that maximum amount of memory that can be used to buffer received data messages. More...
kStatus | GoSystem_Disconnect (GoSystem system)
| Terminates control connections to all sensors. More...
kStatus | GoSystem_EnableData (GoSystem system, kBool enable)
| Establishes data connections to all connected sensors currently in the ready or running states. More...
kStatus | GoSystem_Encoder (GoSystem system, k64s *encoder)
| Gets the current encoder value from the sensor network. More...
kStatus | GoSystem_FindSensorById (GoSystem system, k32u id, GoSensor *sensor)
| Gets the sensor object with the specified device id (serial number). More...
kStatus | GoSystem_FindSensorByIpAddress (GoSystem system, const kIpAddress *address, GoSensor *sensor)
| Gets the sensor object with the specified IP address. More...
kBool | GoSystem_HasChanges (GoSystem system)
| Reports whether the system has changes that require a refresh. More...
kVersion | GoSystem_ProtocolVersion ()
| Reports the Gocator Protocol version implemented by this library. More...
kStatus | GoSystem_ReceiveData (GoSystem system, GoDataSet *data, k64u timeout)
| Receives a set of sensor data messages. More...
kStatus | GoSystem_ReceiveHealth (GoSystem system, GoDataSet *data, k64u timeout)
| Receives a set of sensor health messages. More...
kStatus | GoSystem_Refresh (GoSystem system)
| Updates client state to reflect any changes that have occurred in the sensor network. More...
kStatus | GoSystem_Reset (GoSystem system, kBool wait)
| Reboots all connected sensors. More...
kStatus | GoSystem_ScheduledStart (GoSystem system, k64s value)
| Starts all sensors that are currently in the ready state at a scheduled value. More...
kVersion | GoSystem_SdkVersion ()
| Reports the Gocator firmware version that was built alongside this library. More...
GoSensor | GoSystem_SensorAt (GoSystem system, kSize index)
| Gets the sensor object at the specified index. More...
kSize | GoSystem_SensorCount (GoSystem system)
| Gets the number of sensors in the system. More...
kStatus | GoSystem_SetDataCapacity (GoSystem system, kSize capacity)
| Sets the maximum amount of memory that can be used to buffer received data messages. More...
kStatus | GoSystem_SetDataHandler (GoSystem system, GoDataFx function, kPointer receiver)
| Sets a callback function that can be used to receive sensor data messages asynchronously. More...
kStatus | GoSystem_SetHealthHandler (GoSystem system, GoDataFx function, kPointer receiver)
| Sets a callback function that can be used to receive sensor health messages asynchronously. More...
kStatus | GoSystem_Start (GoSystem system)
| Starts all sensors that are currently in the ready state. More...
kStatus | GoSystem_StartAlignment (GoSystem system)
| Performs alignment for sensors in the ready state. More...
kStatus | GoSystem_StartExposureAutoSet (GoSystem system)
| Performs exposure auto set for sensors in the ready state. More...
kStatus | GoSystem_Stop (GoSystem system)
| Stops all connected sensors. More...
kStatus | GoSystem_Timestamp (GoSystem system, k64u *time)
| Gets the current time stamp from the sensor network. More...

The documentation for this class was generated from the following file:

- GoSystem.h